__bitmap_shift_right
Prev | Bitmap Operations | Next

## Name

__bitmap_shift_right — logical right shift of the bits in a bitmap

## Synopsis

`void __bitmap_shift_right (` | unsigned long * | dst,
| const unsigned long * | src,
| int | shift,
| int | bits`)`;

## Arguments

`dst`

  destination bitmap

`src`

  source bitmap

`shift`

  shift by this many bits

`bits`

  bitmap size, in bits

## Description

Shifting right (dividing) means moving bits in the MS -> LS bit direction. Zeros are fed into the vacated MS positions and the LS bits shifted off the bottom are lost.

Prev | Up | Next
Chapter 4. Basic Kernel Library Functions | Home | __bitmap_shift_left